Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_Persistent_ExtId Class Reference

Helper class for TAO_Persistent_Bindings_Map: unifies several data items, so they can be stored together as a <key> for a <value> in a hash table holding the state of a Persistent Naming Context. More...

`#include <Persistent_Entries.h>`

List of all members.

## Public Methods
| TAO_Persistent_ExtId (void)
| Constructor. More...
| TAO_Persistent_ExtId (const char *id, const char *kind)
| Constructor. More...
| TAO_Persistent_ExtId (const TAO_Persistent_ExtId &rhs)
| Copy constructor. More...
| ~TAO_Persistent_ExtId (void)
| Destructor. More...
void | operator= (const TAO_Persistent_ExtId &rhs)
| Assignment operator (does copy memory). More...
int | operator== (const TAO_Persistent_ExtId &rhs) const
| Equality comparison operator (must match both id_ and kind_). More...
int | operator!= (const TAO_Persistent_ExtId &rhs) const
| Inequality comparison operator. More...
u_long | hash (void) const
| <hash> function is required in order for this class to be usable by ACE_Hash_Map_Manager. More...
const char * | id (void)
const char * | kind (void)
## Public Attributes
const char * | id_
| <id> portion of the name to be associated with some object reference in a Persistent Naming Context. More...
const char * | kind_
| <kind> portion of the name to be associated with some object reference in a Persistent Naming Context. More...

## Detailed Description

Helper class for TAO_Persistent_Bindings_Map: unifies several data items, so they can be stored together as a <key> for a <value> in a hash table holding the state of a Persistent Naming Context.

This class holds id and kind strings, so they can be stored together as a <key> for a <value> in a hash table holding the state of a Persistent Naming Context. Memory for id and kind isn't allocated/deallocated, this class just copies pointers.

## Constructor & Destructor Documentation

TAO_Persistent_ExtId::TAO_Persistent_ExtId | ( | void |  | ) |

| Constructor.

TAO_Persistent_ExtId::TAO_Persistent_ExtId | ( | const char * | id,
|  | const char * | kind
| ) |

| Constructor.

TAO_Persistent_ExtId::TAO_Persistent_ExtId | ( | const TAO_Persistent_ExtId & | rhs | ) |

| Copy constructor.

TAO_Persistent_ExtId::~TAO_Persistent_ExtId | ( | void |  | ) |

| Destructor.

## Member Function Documentation

u_long TAO_Persistent_ExtId::hash | ( | void |  | ) | const

| <hash> function is required in order for this class to be usable by ACE_Hash_Map_Manager.

const char * TAO_Persistent_ExtId::id | ( | void |  | ) |

const char * TAO_Persistent_ExtId::kind | ( | void |  | ) |

int TAO_Persistent_ExtId::operator!= | ( | const TAO_Persistent_ExtId & | rhs | ) | const

| Inequality comparison operator.

void TAO_Persistent_ExtId::operator= | ( | const TAO_Persistent_ExtId & | rhs | ) |

| Assignment operator (does copy memory).

int TAO_Persistent_ExtId::operator== | ( | const TAO_Persistent_ExtId & | rhs | ) | const

| Equality comparison operator (must match both id_ and kind_).

## Member Data Documentation

const char* TAO_Persistent_ExtId::id_

| <id> portion of the name to be associated with some object reference in a Persistent Naming Context.

const char* TAO_Persistent_ExtId::kind_

| <kind> portion of the name to be associated with some object reference in a Persistent Naming Context.

The documentation for this class was generated from the following files:

- Persistent_Entries.h
- Persistent_Entries.cpp